FROM alpine:3.23.2

RUN apk add --no-cache tzdata && \
    ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && \
    echo "Asia/Shanghai" > /etc/timezone

COPY server-gateway /app/server-gateway
COPY config /app/config
RUN chmod 777 /app/server-gateway

WORKDIR /app
CMD ["./server-gateway"]